HuffmanEncoder Class Reference

## Classes

struct | Code

## Public Types

typedef unsigned int | code_t
typedef unsigned int | value_t

## Public Member Functions

| HuffmanEncoder ()
| Construct a HuffmanEncoder.
| HuffmanEncoder (const unsigned int *codeBits, unsigned int nCodes)
| Construct a HuffmanEncoder. More...
void | Initialize (const unsigned int *codeBits, unsigned int nCodes)
| Initialize or reinitialize this object. More...
void | Encode (LowFirstBitWriter &writer, value_t value) const

## Static Public Member Functions

static void | GenerateCodeLengths (unsigned int *codeBits, unsigned int maxCodeBits, const unsigned int *codeCounts, size_t nCodes)

## Public Attributes

SecBlock< Code > | m_valueToCode

## Detailed Description

Definition at line 39 of file zdeflate.h.

## Constructor & Destructor Documentation

## HuffmanEncoder()

HuffmanEncoder::HuffmanEncoder | ( | const unsigned int * | codeBits,
|  | unsigned int | nCodes
| ) |  |

Construct a HuffmanEncoder.

Parameters

  codeBits | a table of code bits
  nCodes | the number of codes in the table

Definition at line 85 of file zdeflate.cpp.

## Member Function Documentation

## Initialize()

void HuffmanEncoder::Initialize | ( | const unsigned int * | codeBits,
|  | unsigned int | nCodes
| ) |  |

Initialize or reinitialize this object.

Parameters

  codeBits | a table of code bits
  nCodes | the number of codes in the table

Definition at line 184 of file zdeflate.cpp.

The documentation for this class was generated from the following files:

- zdeflate.h
- zdeflate.cpp